# Generated by Django 2.0.5 on 2022-02-22 06:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0104_customer_customer_order_visibility_allowed'),
        ('project_management', '0021_auto_20220220_1425'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdditionalContacts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField()),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('phone', models.CharField(blank=True, max_length=20, null=True)),
                ('role', models.CharField(blank=True, max_length=200, null=True)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='project_management.Project')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
        ),
        migrations.AddIndex(
            model_name='additionalcontacts',
            index=models.Index(fields=['provider', 'project'], name='project_man_provide_4d66bc_idx'),
        ),
        migrations.AlterUniqueTogether(
            name='additionalcontacts',
            unique_together={('project', 'email')},
        ),
    ]
